function projectile_dist = Calculate_Launch_Distance(Yout)
load TrebuchetDataFile.mat
theta      = Yout(:,1);           %angular position of main arm
thetaDot   = Yout(:,2);           %angular velocity of main arm
thetaDDot  = [0; diff(thetaDot)]; %angular acceleration of main arm
phi        = Yout(:,3);           %angular position of swing arm
phiDot     = Yout(:,4);           %angular velocity of swing arm
phiDDot    = [0; diff(phiDot)];   %angular acceleration of swing arm
gamma      = Yout(:,5);           %angular position of rope
gammaDot   = Yout(:,6);           %angular velocity of rope
gammaDDot  = [0; diff(gammaDot)]; %angular acceleration of rope 

%% Estimate launch distance
projectile_vel = sqrt(L^2.*thetaDot.^2 + n^2.*gammaDot.^2 - ...
    2*L*n.*thetaDot.*gammaDot.*sin(gamma-theta));
height = h-L.*sin(theta)- n.*cos(gamma);
efficiency = 0.7;  %This is a very rough assumption.
projectile_dist = efficiency*(projectile_vel.*cos(gamma + pi)/ ...
    g.*(projectile_vel.*sin(gamma + pi) + ...
    real(sqrt(projectile_vel.^2.*sin(gamma + pi).^2+2*g*height))));